6.0.0-git
2019-08-17

[#11178] Update lists when moving contacts
Summary Update lists when moving contacts
Queue Turba
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester jan (at) horde (dot) org
Created 2012-05-07 (2658 days ago)
Due
Updated 2016-01-06 (1319 days ago)
Assigned
Resolved
Milestone
Patch No

History
2016-01-06 16:11:54 Michael Rubinsky Comment #6 Reply to this comment
Come to think of it, why is the object_id even changing after moving 
to a different address book?
Because (1) an object_id is specific to the address book. A "move" is 
a delete from the old address book and an "add" into the new address 
book. There is no guarantee both are on the same backend, and (2), The 
actual "key" that is used in the group to identify the contact is a 
combination of the address book or share id and the contact's id.
2016-01-06 10:06:23 wim (at) familiehoekman (dot) nl Comment #5 Reply to this comment

[Show Quoted Text - 9 lines]
Come to think of it, why is the object_id even changing after moving 
to a different address book?

2016-01-06 10:05:09 Jan Schneider Comment #4
Version ⇒ Git master
Reply to this comment

[Show Quoted Text - 12 lines]
object_uid only exists in the default SQL schema, while each contact 
from any source must have an ID.
2016-01-06 09:57:54 wim (at) familiehoekman (dot) nl Comment #3 Reply to this comment
When moving contacts from one address book to another, any lists 
containing the original contacts should be updated too, if possible.
Currently, contacts are stored in the contact list using the 
object_id, which changes after moving to a new address book.

I think that, instead of the object_id, the object_uid should be used, 
as this one does not change.

Regards,

Wim.
2014-08-28 11:27:19 davem28760 (at) aol (dot) com Comment #2 Reply to this comment
Horde Groupware 5.1.1. using Turba.

I have recently been informed that sharing address books is no longer 
an option because the security of the information cannot be 
guaranteed.  I need my address book to be available to several members 
of the organisation immediately and constantly so the only short-term 
option is to export/import and then carry out any subsequent 
amendments in several places (!).  An horrendous and potentially 
dangerous task in itself.  Imagine my horror when I discovered that 
the export/import facility does not maintain the integrity of the many 
contact lists that I have set up.  Each of these now has to be 
recreated manually under each different email address.  If address 
books cannot be shared, the export/import facility has to work.
2012-05-07 16:10:17 Jan Schneider Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Update lists when moving contacts
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
When moving contacts from one address book to another, any lists 
containing the original contacts should be updated too, if possible.

Saved Queries